const express = require('express');
const path = require('path');
const app = express();
const cookieParser = require('cookie-parser');
var logger = require('morgan');
var expressValidator = require('express-validator');
var flash = require('express-flash');
var session = require('express-session');
var bodyParser = require('body-parser');

var mysql = require('mysql');
var connection  = require('./lib/db');

const indexRouter = require('./route/index');
const createRouter = require('./route/create');
const deleteRouter = require('./route/delete');
const viderRouter = require('./route/vider');

// view engine setup
app.set('views', path.join(__dirname, 'views'));
app.set('view engine', 'ejs');


app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: true }));
app.use(cookieParser());
app.use('/', indexRouter);
app.use('/create', createRouter);
app.use('/index', indexRouter);
app.use('/delete', deleteRouter);
app.use('/vider', viderRouter);

app.use(express.static(path.join(__dirname, 'public')));

app.use(session({
    secret: '123456cat',
    resave: false,
    saveUninitialized: true,
    cookie: { maxAge: 60000 }
}))

app.use(flash());
app.use(expressValidator.check());


// Launch

app.listen(8080, function () {
    console.log('Serveur en écoute sur le port 8080');
});



module.exports = app;
